### Hierarchy

- IGBDialog
  - FeedbackDialog

## Index

### Constructors

- constructor

### Properties

- bot
- service

### Methods

- setup

## Constructors

### constructor

- new FeedbackDialog(bot: UniversalBot): FeedbackDialog

- Inherited from IGBDialog.__constructor

  - Defined in node_modules/botlib/dist/src/IGBDialog.d.ts:36

  #### Parameters

  - ##### bot: UniversalBot

  #### Returns FeedbackDialog

## Properties

### bot

bot: UniversalBot

Inherited from IGBDialog.bot

- Defined in node_modules/botlib/dist/src/IGBDialog.d.ts:35

### service

service: GBService

Inherited from IGBDialog.service

- Defined in node_modules/botlib/dist/src/IGBDialog.d.ts:36

## Methods

### Static setup

- setup(bot: UniversalBot, min: GBMinInstance): void

- - Defined in deploy/customer-satisfaction.gbapp/dialogs/FeedbackDialog.ts:44

  #### Parameters

  - ##### bot: UniversalBot

  - ##### min: GBMinInstance

  #### Returns void

Generated using TypeDoc